﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace StringSample
{
    class Program
    {
        static void Main(string[] args)
        {
            string myFirstName = "Shahed";
            string myLastName = "Chowdhuri";
            Console.WriteLine("first name: " + myFirstName);
            Console.WriteLine("last name: " + myLastName);
            Console.WriteLine("first and last: " + myFirstName + "\n\t" + myLastName);

            string myFullName = myFirstName + " " + myLastName;
            Console.WriteLine("full name: " + myFullName);
            Console.WriteLine("ALL CAPS: " + myFullName.ToUpper());
            Console.WriteLine(string.Format("formatted full name: {0} {1}", myFirstName, myLastName));

            StringBuilder sb = new StringBuilder();
            sb.Append(myFirstName);
            sb.Append(" ");
            sb.Append(myLastName);
            Console.WriteLine("sb full name: " + sb.ToString());

            char[] nameArray = myFullName.ToCharArray();
            foreach (var nameLetter in nameArray)
            {
                Console.WriteLine("letter: " + nameLetter);
            }

            string replacedName = myFirstName.Replace('h', 't');
            Console.WriteLine("replaced first name: " + replacedName);

            string subName = myFirstName.Substring(2, 3);
            Console.WriteLine("substring of first name: " + subName);

            Console.ReadKey();
            
        }
    }
}
